# -*- coding: utf-8 -*-
#
# (c) Copyright 2015 HP Development Company, L.P.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
#
# Input file for create_plugin and hp-plugin.
# Note: models.dat must also be appropriately setup for plugins to properly work.
#
# Author: Naga Samrat Chowdary Narla, Sarbeswar Meher

# Defined directories (for 'trg=' only):
# $PPDDIR (from [dirs]/ppd= in /etc/hp/hplip.conf)
# $DRVDIR (usually [dirs]/drv= in /etc/hp/hplip.conf)
# $SANELIBDIR (usually /usr/lib/sane or /usr/lib64/sane)
# $LIBDIR (usually /usr/lib or /usr/lib64)
# $HOMEDIR (usually /usr/share/hplip, from [dirs]/home= in /etc/hp/hplip.conf)
# $DOCDIR (from [dirs]/doc= in /etc/hp/hplip.conf)
# $CUPSBACKENDDIR
# $CUPSFILTERDIR
# $RULESDIR (/etc/udev/rules.d)
# $BIN (/usr/bin)

# Other defines:
# $PRODUCT (currently being processed product name WITH hp_ or hp- prefix)
# $MODEL (same as PRODUCT, except WITHOUT hp- or hp_ prefix)
# $BITNESS ("32" or "64") [DON'T USE, USE ARCH INSTEAD]
# $ENDIAN ("big" or "little")
# $VERSION (version of installed HPLIP)
# $ARCH (x86_32,x86_64,arm,ppc,sparc,hppa...) [a list, will expand out during create_plugin. ONLY x86_32 and x86_64 currently supported]
# $VER (libusb version 1.0 or 0.1)


# During create_plugin, only these are defined (for 'src=' lines):
# $PRODUCT
# $MODEL
# $VERSION
# $ARCH
# $VER


[products]
hp_laserjet_professional_p1136=laserjet_print_plugin,license,marvell_scan_plugin


# **********************************************************


[laserjet_print_plugin]
src=prnt/plugins/lj-$ARCH.so
trg=$HOMEDIR/prnt/plugins/lj-$ARCH.so
link=$HOMEDIR/prnt/plugins/lj.so

[license]
src=prnt/plugins/license.txt
trg=$HOMEDIR/data/plugins/license.txt

[marvell_scan_plugin]
src=scan/sane/bb_marvell-$ARCH.so
trg=$HOMEDIR/scan/plugins/bb_marvell-$ARCH.so
link=$HOMEDIR/scan/plugins/bb_marvell.so

